'From Squeak3.7 of ''4 September 2004'' [latest update: #5989] on 26 October 2004 at 10:34:51 am'!
AlignmentMorph subclass: #SystemWindowLabeArea
	instanceVariableNames: 'active'
	classVariableNames: 'ActiveForm CloseBoxImage CollapseBoxImage DisabledBoxImage ExpandBoxImage InactiveForm MenuBoxImage'
	poolDictionaries: ''
	category: 'Morphic-Windows'!

!SystemWindowLabeArea commentStamp: '<historical>' prior: 0!
improved system window label area!


!SystemWindow methodsFor: '*Aqua-override' stamp: 'pk 10/26/2004 09:05'!
activate
	"Bring me to the front and make me able to respond to mouse and keyboard"

	| oldTop outerMorph sketchEditor pal |
	outerMorph := self topRendererOrSelf.
	outerMorph owner ifNil: [^ self "avoid spurious activate when drop in trash"].
	oldTop := TopWindow.
	TopWindow := self.
	oldTop ifNotNil: [oldTop passivate].
	outerMorph owner firstSubmorph == outerMorph
		ifFalse: ["Bring me (with any flex) to the top if not already"
				outerMorph owner addMorphFront: outerMorph].
	self submorphsDo: [:m | m unlock].
	labelArea ifNotNil:
		[labelArea submorphsDo: [:m | m unlock].
		self useTheme 
			ifFalse: [self setStripeColorsFrom: self paneColorToUse ]
			ifTrue: [self updateBoxesColor: Color white. labelArea active: true ]. 
				].
	self isCollapsed ifFalse:
		[model modelWakeUpIn: self.
		self positionSubmorphs.
		labelArea ifNil: [self adjustBorderUponActivationWhenLabeless]].

	(sketchEditor := self extantSketchEditor) ifNotNil:
		[sketchEditor comeToFront.
		(pal := self world findA: PaintBoxMorph) ifNotNil:
			[pal comeToFront]].
! !

!SystemWindow methodsFor: '*Aqua-override' stamp: 'pk 10/26/2004 09:35'!
addLabelArea
	self useTheme 
		ifTrue: 
			[labelArea := SystemWindowLabeArea new layoutPolicy: ProportionalLayout new]
		ifFalse: 
			[labelArea := (AlignmentMorph newSpacer: Color transparent)
						vResizing: #shrinkWrap;
						layoutPolicy: ProportionalLayout new].
	self addMorph: labelArea! !

!SystemWindow methodsFor: '*Aqua-override' stamp: 'pk 10/25/2004 23:51'!
boxExtent
	"answer the extent to use in all the buttons. 
	 
	the label height is used to be proportional to the fonts preferences"
	
	self useTheme ifTrue: [ ^ 15@18 ].
	
	^ (Preferences alternativeWindowBoxesLook
		ifTrue: [18 @ 18]
		ifFalse: [14 @ 14])
		max: label height @ label height ! !

!SystemWindow methodsFor: '*Aqua-override' stamp: 'pk 10/25/2004 23:05'!
createBox
	"create a button with default to be used in the label area"
	"Transcript show: self paneColor asString;  
	cr."
	| box boxBorderWidth |
	
	self useTheme 
		ifTrue: [ 
			box := IconicButton new.
			box color: Color transparent;
				 target: self.
			box borderWidth: 0.
			^ box
			].
		
	box := IconicButton new.
	box color: Color transparent;
		 target: self;
		 useRoundedCorners.

	boxBorderWidth := (Preferences alternativeWindowLook
					and: [Preferences alternativeWindowBoxesLook])
				ifTrue: [1]
				ifFalse: [0].
	box borderWidth: boxBorderWidth.

	^ box! !

!SystemWindow methodsFor: '*Aqua-override' stamp: 'pk 10/26/2004 09:35'!
createCloseBox
	^(self createBox)
		labelGraphic: SystemWindowLabeArea closeBoxImage;
		extent: self boxExtent;
		actionSelector: #closeBoxHit;
		setBalloonText: 'close this window' translated! !

!SystemWindow methodsFor: '*Aqua-override' stamp: 'pk 10/26/2004 09:35'!
createCollapseBox
	^(self createBox)
		labelGraphic: SystemWindowLabeArea collapseBoxImage;
		extent: self boxExtent;
		actionSelector: #collapseOrExpand;
		setBalloonText: 'collapse this window'! !

!SystemWindow methodsFor: '*Aqua-override' stamp: 'pk 10/26/2004 09:35'!
createExpandBox
	^(self createBox)
		labelGraphic: SystemWindowLabeArea expandBoxImage;
		extent: self boxExtent;
		actWhen: #buttonUp;
		actionSelector: #expandBoxHit;
		setBalloonText: 'expand to full screen' translated! !

!SystemWindow methodsFor: '*Aqua-override' stamp: 'pk 10/26/2004 09:35'!
createMenuBox
	^(self createBox)
		labelGraphic: SystemWindowLabeArea menuBoxImage;
		extent: self boxExtent;
		actWhen: #buttonDown;
		actionSelector: #offerWindowMenu;
		setBalloonText: 'window menu' translated! !

!SystemWindow methodsFor: '*Aqua-override' stamp: 'pk 10/26/2004 09:30'!
extent: aPoint 
	"Set the receiver's extent to value provided. Respect my minimumExtent."

	| newExtent |
	newExtent := self isCollapsed
		ifTrue: [aPoint]
		ifFalse: [aPoint max: self minimumExtent].
	newExtent = self extent ifTrue: [^ self].

	isCollapsed
		ifTrue: [super extent: newExtent x @ (self labelHeight + 2)]
		ifFalse: [super extent: newExtent].
	labelArea ifNotNil:
		[
		self useTheme 
			ifFalse: [ self setStripeColorsFrom: self paneColorToUse.].
			
		label fitContents; setWidth: (label width min: bounds width - self labelWidgetAllowance).
		label layoutFrame leftOffset: label width negated // 2.].
	isCollapsed
		ifTrue: [collapsedFrame := self bounds]
		ifFalse: [fullFrame := self bounds].		
	
! !

!SystemWindow methodsFor: '*Aqua-override' stamp: 'pk 10/25/2004 22:25'!
initializeLabelArea
	"Initialize the label area (titlebar) for the window."
	label := StringMorph new
				contents: labelString;
				font: Preferences windowTitleFont
				emphasis: (Preferences windowTitleFont isTTCFont ifTrue: [0] ifFalse: [1]).
	"Add collapse box so #labelHeight will work"
	collapseBox := self createCollapseBox.
	
	self useTheme ifFalse: [
		stripes := Array
				with: (RectangleMorph newBounds: bounds)
				with: (RectangleMorph newBounds: bounds).	].				
	"see extent:"
	self addLabelArea.
	self useTheme ifFalse: [
		labelArea
			addMorph: (stripes first borderWidth: 1).
		labelArea
			addMorph: (stripes second borderWidth: 2). ].			
	self setLabelWidgetAllowance.
	self addCloseBox.
	self addMenuControl.
	labelArea addMorph: label.
	self wantsExpandBox
		ifTrue: [self addExpandBox].
	labelArea addMorph: collapseBox.
	self setFramesForLabelArea.
	Preferences clickOnLabelToEdit
		ifTrue: [label
				on: #mouseDown
				send: #relabel
				to: self].
	Preferences noviceMode
		ifTrue: [closeBox
				ifNotNil: [closeBox setBalloonText: 'close window' translated].
			menuBox
				ifNotNil: [menuBox setBalloonText: 'window menu' translated].
			collapseBox
				ifNotNil: [collapseBox setBalloonText: 'collapse/expand window' translated]].
! !

!SystemWindow methodsFor: '*Aqua-override' stamp: 'pk 10/26/2004 09:24'!
passivate
	"Make me unable to respond to mouse and keyboard"

	self setStripeColorsFrom: self paneColorToUse.
	model modelSleep.

	"Control boxes remain active, except in novice mode"
	self submorphsDo: [:m |
		m == labelArea ifFalse:
			[m lock]].
	labelArea ifNotNil:
		[
		self useTheme 
			ifTrue: [self updateBoxesColor: Color white. labelArea active: false ]. 
		labelArea submorphsDo: [:m |
			(m == closeBox or: [m == collapseBox])
				ifTrue:
					[Preferences noviceMode ifTrue: [m lock]]
				ifFalse:
					[m lock]]
			]
		ifNil: "i.e. label area is nil, so we're titleless"
			[self adjustBorderUponDeactivationWhenLabeless].
	self world ifNotNil:  "clean damage now, so dont merge this rect with new top window"
		[self world == World ifTrue: [self world displayWorld]].
! !

!SystemWindow methodsFor: '*Aqua-override' stamp: 'pk 10/26/2004 09:35'!
updateBox: anIconMorph color: aColor 
	| fill |
	anIconMorph isNil ifTrue: [^self].
	self useTheme 
		ifTrue: 
			[labelArea active 
				ifFalse: 
					[anIconMorph = closeBox 
						ifTrue: [anIconMorph labelGraphic: SystemWindowLabeArea closeBoxImage].
					anIconMorph = menuBox 
						ifTrue: [anIconMorph labelGraphic: SystemWindowLabeArea menuBoxImage].
					anIconMorph = expandBox 
						ifTrue: [anIconMorph labelGraphic: SystemWindowLabeArea expandBoxImage].
					anIconMorph = collapseBox 
						ifTrue: [anIconMorph labelGraphic: SystemWindowLabeArea collapseBoxImage]]
				ifTrue: [anIconMorph labelGraphic: SystemWindowLabeArea disabledBoxImage].
			anIconMorph extent: self boxExtent.
			^self].
	anIconMorph
		extent: self boxExtent;
		useRoundedCorners.
	fill := GradientFillStyle ramp: { 
						0.0 -> aColor muchLighter muchLighter.
						1.0 -> aColor twiceDarker}.
	fill origin: anIconMorph topLeft + (5 @ 5).
	fill direction: anIconMorph extent.
	anIconMorph fillStyle: fill.
	anIconMorph
		borderWidth: ((Preferences alternativeWindowLook 
					and: [Preferences alternativeWindowBoxesLook]) ifTrue: [1] ifFalse: [0]);
		borderColor: aColor darker! !

!SystemWindow methodsFor: '*Aqua-override' stamp: 'pk 10/25/2004 23:02'!
useTheme

	^ self class useTheme.! !


!SystemWindow class methodsFor: '*Aqua-override' stamp: 'pk 10/25/2004 23:02'!
useTheme

	^ true.! !


!SystemWindowLabeArea methodsFor: 'as yet unclassified' stamp: 'pk 10/25/2004 22:11'!
drawOn: aCanvas

	| form xx topLeft |
	
	self active
		ifTrue: [ form := self class activeForm ]
		ifFalse: [ form := self class inactiveForm ].
		
	xx := (self width-1 // 100) - 1.
	topLeft := self bounds topLeft.

	0 to: xx do: [:x |
		aCanvas image: form
			at: topLeft + (x*100@0)
			sourceRect: (0@0 extent: 100@20)
			rule: Form over
			].
		
		aCanvas image: form
			at: topLeft + (xx+1*100@0)
			sourceRect: (0@0 extent: (self width\\100)@20)
			rule: Form over
! !

!SystemWindowLabeArea methodsFor: 'as yet unclassified' stamp: 'pk 10/25/2004 21:57'!
initialize

	super initialize.
	
	active := false.! !

!SystemWindowLabeArea methodsFor: 'accessing' stamp: 'pk 10/25/2004 22:04'!
active
	^active! !

!SystemWindowLabeArea methodsFor: 'accessing' stamp: 'pk 10/26/2004 09:29'!
active: anObject

	active := anObject.
	self changed.! !


!SystemWindowLabeArea class methodsFor: 'as yet unclassified' stamp: 'pk 10/25/2004 22:06'!
activeForm

	ActiveForm 
		ifNotNil: [ ^ ActiveForm ]
		ifNil: [
			| bits |
			bits := Array new: 100*20.
			#( 4294967295 4294967295 4294704123 4294243572 4294177779 4294638330 4294704123 4294177779 4293980400 4294375158 4294440951 4293717228 4293717228 4294177779 4294111986 4293322470 4293190884 4293651435 4293322470 4292335575)
				withIndexDo: [:color :index |
					1 to: 100 do: [:x | bits at: x+(index-1*100) put: color] ].
				
			^ ActiveForm := (Form	
				extent: 100@20	
				depth: 32
				fromArray: bits
				offset: 0@0)			
			]
	! !

!SystemWindowLabeArea class methodsFor: 'as yet unclassified' stamp: 'pk 10/25/2004 23:33'!
closeBoxImage

	CloseBoxImage 
		ifNotNil: [ ^ CloseBoxImage ]
		ifNil: [
			^ CloseBoxImage := (Form
	extent: 13@16
	depth: 32
	fromArray: #( 4293914607 4293914607 4293388263 4289572261 4284111450 4280361249 4279242768 4280361249 4283585114 4292269782 4293388263 4293914607 4293914607 4294440951 4293914607 4285752163 4282530114 4288451740 4291739078 4292267734 4291739078 4287399052 4283583050 4285225571 4293914607 4294440951 4294967295 4285756267 4284695114 4289565844 4292789958 4294434526 4294961127 4294961127 4293381838 4288447620 4284697162 4286280555 4294967295 4289570213 4283048225 4287908434 4290083699 4292252812 4293371301 4293371301 4292779156 4292252820 4290605939 4287910474 4282521624 4290094509 4285745738 4286261553 4290066754 4289542449 4290595394 4291187274 4291187274 4291187274 4290595394 4289540401 4289540401 4286263601 4286272082 4283570200 4288426297 4289009697 4291180849 4292233794 4292233794 4291709506 4292762186 4292233794 4290588969 4290060577 4288426289 4284094497 4283568136 4290066745 4291705137 4292235842 4293354322 4293882723 4293358426 4293356378 4292764498 4292760138 4291707449 4290064689 4284090376 4284686616 4290593329 4292760130 4293356378 4293882723 4294413435 4294413435 4294413435 4293884779 4293356378 4292235850 4291705145 4285208592 4286261537 4291185209 4293878602 4294407019 4294935675 4294939788 4294939780 4294939788 4294937723 4294933363 4293878627 4292229425 4286851361 4286868323 4287901993 4294929259 4294411379 4294941836 4294944156 4294944156 4294944156 4294939796 4294937732 4294407019 4289018161 4287910482 4290624957 4287906370 4292237914 4294937732 4294944156 4294948252 4294426021 4294426021 4294948252 4294939780 4293354330 4287382082 4288445299 4289572269 4287921019 4287379769 4294409083 4294939788 4294946204 4294950309 4294950309 4294419860 4292242275 4289542457 4286272082 4289567900 4290624957 4289045925 4286870387 4283578673 4287390563 4290607995 4293884804 4292240235 4288432706 4285219385 4284109378 4287399044 4290624957 4291743438 4290098613 4289045925 4288453788 4285225562 4282530097 4282532409 4283058745 4283585098 4288453788 4289045925 4290098613 4291743438 4293388263 4292269782 4290624957 4289572269 4289045925 4289045925 4289045925 4289045925 4289045925 4289047981 4290624957 4292269782 4293388263 4292796126 4292269782 4291217094 4290624957 4289572269 4289045925 4289045925 4289572269 4290098613 4290624957 4291743438 4292269782 4292796126)
	offset: 0@0)		
			]
	! !

!SystemWindowLabeArea class methodsFor: 'as yet unclassified' stamp: 'pk 10/25/2004 23:46'!
collapseBoxImage

	CollapseBoxImage 
		ifNotNil: [ ^ CollapseBoxImage ]
		ifNil: [
			^ CollapseBoxImage := (Form
	extent: 13@16
	depth: 32
	fromArray: #( 4293914607 4293914607 4293388263 4289045925 4284703578 4281934113 4280881168 4281934113 4284699218 4291217094 4293388263 4293914607 4293914607 4294440951 4293914607 4287914851 4285219394 4289041556 4292263357 4292792014 4292263349 4289563788 4285219402 4287392619 4293914607 4294440951 4294967295 4287916899 4287384130 4291204228 4294432454 4294958814 4294961118 4294961110 4294430406 4290612356 4286270034 4287918971 4294967295 4290092188 4286263593 4289550914 4292779123 4293901708 4294428316 4293904028 4293904020 4293901708 4293371268 4288436810 4285217081 4290616485 4287384146 4290071089 4293360450 4292248633 4292779074 4292254786 4292257090 4292783426 4292252721 4292774961 4291722033 4288432681 4287908409 4286263585 4291715881 4293362712 4292776984 4293368873 4294421809 4293895465 4294423849 4293895448 4293364744 4293887009 4292242217 4287375624 4286853400 4293887025 4294417432 4294423841 4294423857 4294952522 4294423874 4294425922 4294950201 4294946081 4294415393 4293360433 4287899904 4287908385 4294939705 4294421793 4294425905 4294952530 4294954586 4294956643 4294956651 4294956634 4294950201 4294946097 4293891138 4289022488 4288436793 4294415417 4294950201 4294956626 4294956651 4294961011 4294961019 4294963067 4294434403 4294430282 4294428226 4293371202 4288436760 4287918930 4291728433 4294952514 4294956626 4294963059 4294965115 4294967188 4294965140 4294436715 4294960978 4294954570 4290612298 4287392602 4288447611 4289033009 4293375306 4294960995 4294965107 4294967172 4294967180 4294967180 4294965115 4294960995 4292783426 4288445250 4288447611 4289570213 4286276426 4288445241 4292265562 4294442867 4294965115 4294967180 4294967180 4294965124 4293381731 4288445241 4286276426 4289043612 4290624957 4287396740 4285225538 4285227817 4287403065 4291745354 4292274002 4290631234 4287929377 4286280481 4285225529 4286872435 4290624957 4291743438 4290098613 4287401100 4284703570 4283587129 4282528082 4283056722 4282534466 4283058754 4284701274 4287399052 4290098613 4291743438 4293388263 4292269782 4290624957 4289045933 4286874764 4286872443 4285756275 4285758323 4287401100 4289047981 4290624957 4292269782 4293388263 4292796126 4292269782 4291217094 4290624957 4289572269 4289045925 4289045925 4289045933 4290098613 4290624957 4291743438 4292269782 4292796126)
	offset: 0@0)		
			]
	! !

!SystemWindowLabeArea class methodsFor: 'as yet unclassified' stamp: 'pk 10/26/2004 00:06'!
disabledBoxImage

	DisabledBoxImage 
		ifNotNil: [ ^ DisabledBoxImage ]
		ifNil: [
			^ DisabledBoxImage := (Form
	extent: 13@16
	depth: 32
	fromArray: #( 4293914607 4293914607 4293388263 4289177511 4284966759 4281874488 4280821800 4281874488 4284703587 4291348680 4293388263 4293914607 4293914607 4294440951 4293914607 4286940549 4287006342 4292072403 4293914607 4294243572 4293717228 4291809231 4286479998 4286743170 4293914607 4294440951 4294967295 4287137928 4289638062 4293256677 4294375158 4294704123 4294704123 4294638330 4294375158 4292993505 4288848546 4287269514 4294967295 4289769648 4288716960 4292072403 4293322470 4293783021 4294046193 4293980400 4293848814 4293783021 4293585642 4291743438 4288059030 4289703855 4288059030 4291940817 4292861919 4292532954 4292730333 4292664540 4292664540 4292730333 4292401368 4292532954 4292335575 4291085508 4287203721 4288914339 4292203989 4292335575 4292138196 4292532954 4292796126 4292664540 4292730333 4292401368 4292072403 4292532954 4292138196 4288059030 4290164406 4292730333 4292532954 4292664540 4292796126 4293256677 4293059298 4293059298 4292993505 4292730333 4292664540 4292598747 4289440683 4291085508 4292993505 4292664540 4292796126 4293322470 4293388263 4293519849 4293585642 4293388263 4292993505 4292927712 4292993505 4290756543 4291085508 4292927712 4292993505 4293322470 4293585642 4293651435 4293783021 4293783021 4293388263 4293190884 4293059298 4292796126 4289901234 4290164406 4292335575 4293190884 4293322470 4293651435 4293783021 4294046193 4294046193 4293519849 4293322470 4293256677 4292269782 4289572269 4289440683 4291480266 4292993505 4293519849 4293651435 4293848814 4293980400 4293980400 4293783021 4293519849 4292730333 4291217094 4288782753 4289638062 4288848546 4291480266 4292927712 4293651435 4293783021 4293980400 4293980400 4293848814 4293256677 4291217094 4288190616 4288782753 4290624957 4287269514 4288256409 4290032820 4291348680 4292664540 4293059298 4292598747 4291085508 4289967027 4287335307 4286348412 4290624957 4291743438 4290098613 4287598479 4286479998 4287993237 4288980132 4289769648 4288980132 4287335307 4286216826 4287137928 4290098613 4291743438 4293388263 4292269782 4290624957 4289309097 4287137928 4286611584 4285756275 4286019447 4287401100 4289309097 4290624957 4292269782 4293388263 4292796126 4292269782 4291217094 4290624957 4289572269 4289045925 4289045925 4289309097 4290098613 4290624957 4291743438 4292269782 4292796126)
	offset: 0@0)		
			]
	! !

!SystemWindowLabeArea class methodsFor: 'as yet unclassified' stamp: 'pk 10/25/2004 23:48'!
expandBoxImage

	ExpandBoxImage 
		ifNotNil: [ ^ ExpandBoxImage ]
		ifNil: [
			^ ExpandBoxImage := (Form
	extent: 13@16
	depth: 32
	fromArray: #( 4293914607 4293914607 4293388263 4289045925 4284111450 4280361249 4278716416 4280887593 4283585106 4290098613 4293388263 4293914607 4293914607 4294440951 4293914607 4284703587 4282532418 4287401100 4290624966 4291743446 4291212742 4287925396 4280891697 4284705651 4293914607 4294440951 4294967295 4285231979 4281944633 4287405188 4291221190 4292274126 4293918695 4293388254 4291745478 4287407500 4281946690 4284703595 4294967295 4288453780 4280367384 4283069241 4286293355 4289056396 4290633372 4289580684 4290107036 4288462212 4286295403 4282542905 4280367393 4287927444 4282536514 4280900129 4283075641 4283604017 4285244738 4285244729 4285771065 4285771082 4285244729 4283601961 4284126274 4281426737 4281944633 4279777560 4282549289 4282553368 4283606313 4285248825 4285246761 4286301753 4285248825 4285248817 4284130593 4283077665 4281957161 4279777560 4279251208 4283604017 4283608353 4284724521 4286299458 4288470618 4286893634 4287944274 4286893634 4285250857 4283606305 4284128322 4279253264 4280900129 4284132665 4285253169 4287419978 4287942226 4289062763 4288472922 4288470618 4288470610 4286893625 4285775161 4284722506 4279783952 4280900129 4284132657 4285779513 4288470610 4290111347 4290637691 4290115451 4290639748 4289587043 4288472914 4286895690 4284722498 4281428777 4284119890 4284124209 4287946322 4288474962 4289064803 4291231628 4291231644 4291755924 4290639731 4289066842 4287946330 4284126274 4283593554 4286289003 4283597873 4286297410 4290115443 4291755916 4291231628 4291229588 4291755916 4291231611 4290641771 4286891594 4283597890 4286289019 4288456101 4284117834 4284122169 4287942243 4291229563 4291755899 4292804484 4292280204 4290637683 4288466522 4284122161 4283591490 4288456092 4290624957 4286284932 4283065162 4283591473 4285764674 4288462162 4290633323 4288464483 4285764674 4284119857 4283589442 4286284923 4290624957 4291743438 4290098613 4286876812 4284113763 4282536514 4281944633 4281944617 4282538545 4282536497 4283589450 4286874764 4290098613 4291743438 4293388263 4292269782 4290624957 4289045933 4286874772 4285756283 4285231995 4285231979 4287401100 4289047981 4290624957 4292269782 4293388263 4292796126 4292269782 4291217094 4290624957 4289572269 4289045925 4289045925 4289045933 4290098613 4290624957 4291743438 4292269782 4292796126)
	offset: 0@0)		
			]
	! !

!SystemWindowLabeArea class methodsFor: 'as yet unclassified' stamp: 'pk 10/25/2004 22:10'!
inactiveForm

	InactiveForm 
		ifNotNil: [ ^ InactiveForm ]
		ifNil: [
			| bits |
			bits := Array new: 100*20.
			#( 4294046200 4294046200 4293783028 4293256684 4293191147 4293651442 4293783028 4293191147 4293059304 4293454063 4293519856 4292796132 4292796132 4293191147 4293125354 4292401374 4292335581 4292730339 4292401374 4291480271)
				withIndexDo: [:color :index |
					1 to: 100 do: [:x | bits at: x+(index-1*100) put: color] ].
				
			^ InactiveForm := (Form	
				extent: 100@20	
				depth: 32
				fromArray: bits
				offset: 0@0)			
			]
	! !

!SystemWindowLabeArea class methodsFor: 'as yet unclassified' stamp: 'pk 10/26/2004 10:08'!
installAqua

	Preferences installPastelWindowColors.
	Preferences setWindowTitleFontTo: (StrikeFont familyName: #BitstreamVeraSans size: 8).
	! !

!SystemWindowLabeArea class methodsFor: 'as yet unclassified' stamp: 'pk 10/26/2004 08:37'!
menuBoxImage

	MenuBoxImage 
		ifNotNil: [ ^ MenuBoxImage ]
		ifNil: [
			^ MenuBoxImage := (Form
	extent: 13@16
	depth: 32
	fromArray: #( 4293914607 4293914607 4293388263 4289045925 4284440160 4280888369 4279835681 4280888369 4284046173 4291217094 4293388263 4293914607 4293914607 4294440951 4293914607 4285955204 4284178535 4290164922 4293652209 4294506745 4293388529 4289968061 4283981668 4286086274 4293914607 4294440951 4294967295 4286020229 4285494661 4291415258 4294835709 4294967295 4294967295 4294967295 4294835710 4291218133 4285231993 4286613130 4294967295 4289178029 4283587179 4288257976 4292072687 4293585151 4294309119 4294242815 4293979647 4293585151 4292994042 4287929005 4283652449 4289310899 4284837753 4286547877 4290231011 4289768921 4290688480 4290556635 4290687707 4290950624 4289898711 4289833691 4288979406 4285296784 4284244342 4282862689 4287861953 4288912599 4289239507 4290029790 4290818793 4290357986 4290752231 4289831388 4288647891 4289307871 4287730373 4281876063 4282731109 4289506268 4289766369 4290357731 4290949865 4292134645 4291477486 4291674094 4291476464 4290489320 4289898979 4288980186 4281744227 4283519858 4290163174 4290357730 4291146473 4292398072 4292792571 4293055741 4293384958 4292923643 4291476464 4290950638 4290031585 4283256438 4284572542 4289111252 4291344878 4292594680 4293384958 4293844991 4294042623 4294173695 4293120760 4292134129 4291608045 4289372625 4283189615 4285361277 4287069353 4291673838 4292594680 4293976063 4294304767 4294963711 4294963711 4293515515 4292987896 4292002033 4287136677 4285361787 4287072657 4284767873 4289437641 4293120505 4294041599 4294699263 4294897151 4294897151 4294304767 4293120507 4288779202 4285228415 4287072657 4289243562 4284374122 4285096319 4289436349 4293053422 4293910011 4294831359 4294633469 4293383670 4290029259 4285030526 4284374122 4288717218 4290624957 4286744198 4283650397 4283122262 4285751674 4288644782 4289761725 4288840106 4285223799 4283449949 4283386713 4286216830 4290624957 4291743438 4290098613 4287401100 4284242269 4283254095 4282206014 4282928200 4282860870 4282795335 4284374880 4287072648 4290098613 4291743438 4293388263 4292269782 4290624957 4289309352 4287138183 4286546049 4285756275 4286084727 4287401100 4289374632 4290624957 4292269782 4293388263 4292796126 4292269782 4291217094 4290624957 4289572269 4289045925 4289045925 4289309352 4290098613 4290624957 4291743438 4292269782 4292796126)
	offset: 0@0)		
			]
	! !

!SystemWindowLabeArea class methodsFor: 'as yet unclassified' stamp: 'pk 10/25/2004 23:43'!
resetImages

	"WindowTitle resetImages"

	ActiveForm :=  CloseBoxImage :=  CollapseBoxImage :=  ExpandBoxImage :=  InactiveForm := MenuBoxImage :=  nil.
! !

"Postscript:
Leave the line above, and replace the rest of this comment by a useful one.
Executable statements should follow this comment, and should
be separated by periods, with no exclamation points (!!).
Be sure to put any further comments in double-quotes, like this one."

SystemWindowLabeArea installAqua.
!

